/*
* Copyright (c) Visioglobe SAS. All rights reserved.
*
* This file is subject to the terms and conditions defined in
* file 'LICENSE.txt', which is part of this source code package.
*/

import Foundation
import UIKit
import VisioMoveEssential

class BasicMapViewController: UIViewController, VMELifeCycleListener {
    @IBOutlet var mapView: VMEMapView?;
    
    override func viewDidLoad() {
        super.viewDidLoad();
        self.title = NSLocalizedString("BasicMapViewController.title", comment:"");
        
        // Set self as listener for life cycle events
        mapView?.lifeCycleListener = self;
        // Must be called in order for the map to be loaded
        mapView!.loadMap();
        
        // IMPORTANT: Ensure the mapView starts below the navigation bar, otherwise
        // VisioMove Essential's search view button will be hidden.
        if (self.responds(to: #selector(getter: UIViewController.edgesForExtendedLayout))) {
            self.edgesForExtendedLayout = UIRectEdge.init(rawValue: 0);
        }
    }
    
    func mapDidInitializeEngine(_ mapView: VMEMapView) {
        let lFontFile = Bundle.main.path(forResource: "artifika_regular", ofType: "ttf")!;
        mapView.setMapFont(lFontFile);
    }
}

