/*
* Copyright (c) Visioglobe SAS. All rights reserved.
*
* This file is subject to the terms and conditions defined in
* file 'LICENSE.txt', which is part of this source code package.
*/

import UIKit
import VisioMoveEssential

class CustomLocationTracker: NSObject {
    func trackLocation(withMap mapView: VMEMapView?, location: VMELocation?) {
        let lLocation = location
        var lCameraHeading: VMECameraHeading?
        if location != nil {
            if (lLocation?.bearing ?? 0) < 0 {
                lCameraHeading = VMECameraHeading.cameraHeadingCurrent()
            } else {
                lCameraHeading = VMECameraHeading(heading: Float(lLocation!.bearing))
            }
            let lCameraUpdate = VMECameraUpdate(builderBlock: { builder in
                builder?.targets = [lLocation?.position as Any]
                    builder?.heading = lCameraHeading
                    builder?.pitch = VMECameraPitch(pitch: -30.0)
                builder?.distanceRange = VMECameraDistanceRange(minRadius: 5, andMaxRadius: 20)
                })
            mapView?.animateCamera(lCameraUpdate!, duration: 0.5, callback: nil)
        }
    }
}

