/*
* Copyright (c) Visioglobe SAS. All rights reserved.
*
* This file is subject to the terms and conditions defined in
* file 'LICENSE.txt', which is part of this source code package.
*/

import Foundation
import UIKit
import VisioMoveEssential


/**
* A simple NSObject that holds the details about the demo that are used by the UITableDataSource.
*/

@objcMembers class DemoDetailsList: NSObject {
    static var _demos: [Any]? = {
        var _demos = [
            DemoDetails(title: NSLocalizedString("BasicMapViewController.title", comment: ""), description: NSLocalizedString("BasicMapViewController.description", comment: ""), class: BasicMapViewController.self) as DemoDetails,
                DemoDetails(title: NSLocalizedString("CameraMapViewController.title", comment: ""), description: NSLocalizedString("CameraMapViewController.description", comment: ""), class: CameraMapViewController.self) as DemoDetails,
                DemoDetails(title: NSLocalizedString("RoutingMapViewController.title", comment: ""), description: NSLocalizedString("RoutingMapViewController.description", comment: ""), class: RoutingMapViewController.self) as DemoDetails,
                DemoDetails(title: NSLocalizedString("LocationMapViewController.title", comment: ""), description: NSLocalizedString("LocationMapViewController.description", comment: ""), class: LocationMapViewController.self) as DemoDetails,
                DemoDetails(title: NSLocalizedString("ContentMapViewController.title", comment: ""), description: NSLocalizedString("ContentMapViewController.description", comment: ""), class: ContentMapViewController.self) as DemoDetails,
                DemoDetails(title: NSLocalizedString("SearchMapViewController.title", comment: ""), description: NSLocalizedString("SearchMapViewController.description", comment: ""), class: SearchMapViewController.self) as DemoDetails,
                DemoDetails(title: NSLocalizedString("OverlayViewController.title", comment: ""), description: NSLocalizedString("OverlayViewController.description", comment: ""), class: OverlayViewController.self) as DemoDetails,
                DemoDetails(title: NSLocalizedString("StatisticsViewController.title", comment: ""), description: NSLocalizedString("StatisticsViewController.description", comment: ""), class: StatisticsViewController.self) as DemoDetails,
                DemoDetails(title: NSLocalizedString("RoutingCustomLocationTracker.title", comment: ""), description: NSLocalizedString("RoutingCustomLocationTracker.description", comment: ""), class: RoutingCustomLocationTrackerController.self)
            ] as [Any]
        return _demos
    }()

    @objc class func demos() -> [Any]? {
        // `dispatch_once()` call was converted to a static variable initializer
        return _demos
    }
    
}

