/*
* Copyright (c) Visioglobe SAS. All rights reserved.
*
* This file is subject to the terms and conditions defined in
* file 'LICENSE.txt', which is part of this source code package.
*/

import Foundation
import UIKit
import VisioMoveEssential

/**
* A simple NSObject that holds the details about the demo that are used by the UITableDataSource.
*/

import UIKit

/// Menu page that proposes some options for displaying the map.
// MARK: - MenuViewController
@objcMembers class MenuViewController: UIViewController, UITableViewDataSource, UITableViewDelegate {
    override func viewDidLoad() {
        super.viewDidLoad()
        title = "Menu"
        let v = view as! UITableView
        v.bounces = true
        v.tableFooterView = UIView()
        if #available(iOS 13.0, *) {
            v.backgroundColor = UIColor.systemBackground
        } else {
            // Fallback on earlier versions
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

// MARK: - UITableViewDelegate
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        let item = (DemoDetailsList.demos() as? [AnyHashable])?[indexPath.row] as? DemoDetails
        if let view = item?.viewController() {
            navigationController?.pushViewController(view, animated: true)
        }

        tableView.deselectRow(at: indexPath, animated: true)
    }
    
// MARK: - UITableViewDataSource
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return DemoDetailsList.demos()?.count ?? 0
    }

    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        var cell = tableView.dequeueReusableCell(withIdentifier: "MyIdentifier")
        if cell == nil {
            cell = UITableViewCell(style: .subtitle, reuseIdentifier: "MyIdentifier")
        }

        let item = (DemoDetailsList.demos() as? [AnyHashable])?[indexPath.row] as? DemoDetails

        cell?.textLabel?.text = item?.mTitle
        cell?.detailTextLabel?.text = item?.mDescription
        return cell!
    }
}

